Author Topic: Error compiling FET 5.29.5  (Read 793 times)

0 Members and 1 Guest are viewing this topic.

Davide Cottignoli

  • Level 2
  • **
  • Posts: 70
    • View Profile
Error compiling FET 5.29.5
« on: June 13, 2016, 07:15:41 PM »
Hello Liviu,

I tried to compile FET 5.29.5 under Mac OS X Lion (10.7.5).
I downloaded and installed QT 5.6.1 with success
I issued "qmake fet.pro" with success
I issued "make" but after about twenty seconds the compilation stops with the following last lines:

/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/memory:4854:1: note: candidate
      template ignored: failed template argument deduction
swap(shared_ptr<_Tp>& __x, shared_ptr<_Tp>& __y) _NOEXCEPT
^
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/memory:5142:1: note: candidate
      template ignored: failed template argument deduction
swap(weak_ptr<_Tp>& __x, weak_ptr<_Tp>& __y) _NOEXCEPT
^
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../lib/c++/v1/type_traits:3025:1: note:
      candidate template ignored: substitution failure [with _Tp = QScopedPointer<QBrushData, QBrushDataPointerDeleter>]
swap(_Tp& __x, _Tp& __y) _NOEXCEPT_(is_nothrow_move_constructible<_Tp>::value &&
^
/Users/davide/Qt5.6.1/5.6/clang_64/lib/QtCore.framework/Headers/qpair.h:89:6: note: candidate template ignored: failed template
      argument deduction
void swap(QPair<T1, T2> &lhs, QPair<T1, T2> &rhs) Q_DECL_NOEXCEPT_EXPR(noexcept(lhs.swap(rhs)))
     ^
3 errors generated.
make[1]: *** [../tmp/gui/timetableexport.o] Error 1
make: *** [sub-src-src-pro-make_first] Error 2


The last version I compiled with success is 5.28.6
How may I go past these errors?


Thanks
Davide.
Davide.

Davide Cottignoli

  • Level 2
  • **
  • Posts: 70
    • View Profile
Re: Error compiling FET 5.29.5
« Reply #1 on: June 13, 2016, 07:45:45 PM »
Is my mac os X version too old?
I noticed that the minimum make version from your readme is 4.0 and output of:
macdav:~ davide$ make  -v
GNU Make 3.81
Copyright (C) 2006  Free Software Foundation, Inc.
...
This program built for i386-apple-darwin11.3.0

So, if the problem is this, I suppose I cannot have any chances to compile FET, is it true?

Davide.
Davide.

Liviu Lalescu

  • Forum Administrator
  • Level 5
  • *****
  • Posts: 5178
  • FET author and forum moderator
    • View Profile
    • Homepage
Re: Error compiling FET 5.29.5
« Reply #2 on: June 13, 2016, 07:59:37 PM »
It should work with Make 3.81.

I see your Qt is for Clang, so please try as in:

http://lalescu.ro/liviu/fet/forum/index.php?topic=2488.msg13425#msg13425

Davide Cottignoli

  • Level 2
  • **
  • Posts: 70
    • View Profile
Re: Error compiling FET 5.29.5
« Reply #3 on: June 14, 2016, 04:50:16 AM »
Thank you Liviu
Davide.

Liviu Lalescu

  • Forum Administrator
  • Level 5
  • *****
  • Posts: 5178
  • FET author and forum moderator
    • View Profile
    • Homepage
Re: Error compiling FET 5.29.5
« Reply #4 on: June 14, 2016, 06:46:45 AM »
So, did it work? :)

Davide Cottignoli

  • Level 2
  • **
  • Posts: 70
    • View Profile
Re: Error compiling FET 5.29.5
« Reply #5 on: June 14, 2016, 09:05:12 AM »
Yes, Liviu, it worked.
Davide.

Liviu Lalescu

  • Forum Administrator
  • Level 5
  • *****
  • Posts: 5178
  • FET author and forum moderator
    • View Profile
    • Homepage
Re: Error compiling FET 5.29.5
« Reply #6 on: June 14, 2016, 09:06:59 AM »
OK. In the README file of FET I added a link to the forum topic I listed above, for the Mac users compiling with Clang.

Groucho

  • Level 1
  • *
  • Posts: 6
    • View Profile
Re: Error compiling FET 5.29.5
« Reply #7 on: July 18, 2016, 05:11:23 AM »
Hello Davide
It would be possible to share the FET 5.29.5  (or most recent ) executable version for Mac ?
Salve Davide Cottignoli
sarebbe possibile condividere la versione 5.29.5 (o piu' recente) per Mac?

Davide Cottignoli

  • Level 2
  • **
  • Posts: 70
    • View Profile
Re: Error compiling FET 5.29.5
« Reply #8 on: September 01, 2016, 08:40:10 PM »
Darren McDonald published a recent FET version compiled for MacOS X. Look at Liviu's site homepage.

Davide.
Davide.